function [K_f Sigma_f K_omega Sigma_omega lambda0 lambda_1f] = ...
          build_matrices(n, use_latent, ...
                         fund_K, fund_S, prem_K, prem_S, ...
                         prem_c, prem_macro)
% BUILD_MATRICES unpacks parameters of the model into the matrices 
% and vectors of the model.  

%
% Greg Duffee
% October 2005
%

K_f = vec_inverse(fund_K); 
Sigma_f = zeros(n,n); 
index = 0;
for i = 1:n
  for j = 1:i
    index = index + 1;
    Sigma_f(i,j) = fund_S(index);
  end
end
lambda0 = prem_c;
lambda_1f = vec_inverse(prem_macro); 

if (use_latent == 1) 
  K_omega = vec_inverse(prem_K);
  Sigma_omega = zeros(n,n);
  index = 0;
  for i = 1:n
    for j = 1:i
      index = index + 1; 
      Sigma_omega(i,j) = prem_S(index);
    end
  end
else
  K_omega = [];
  Sigma_omega = [];
end


return
