function [mu_x K_x Sigma_x mu_x_equiv K_x_equiv] = ...
       build_x_params(use_latent, ...
                      mu_f, K_f, K_omega, Sigma_f, Sigma_omega, ...
                      lambda_1f, lambda0)
% BUILD_X_PARAMS constructs the matrices associated with the dynamics
% of X (the combination of fundamentals and omega)

%
% Greg Duffee
% October 2005, revised Jan 2006
%

n = length(mu_f);


if (use_latent == 1) 
  lambda1 = [lambda_1f eye(n); zeros(n,2*n)]; 
  big_lambda0 = [lambda0; zeros(n,1)];
  K_x = [K_f zeros(n,n); zeros(n,n) K_omega]; 
  Sigma_x = [Sigma_f zeros(n,n); zeros(n,n) Sigma_omega]; 
  mu_x = [mu_f; zeros(n,1)]; 
else
  lambda1 = lambda_1f;
  big_lambda0 = lambda0; 
  K_x = K_f;
  Sigma_x = Sigma_f;
  mu_x = mu_f; 
end

K_x_equiv = K_x - lambda1;
mu_x_equiv = mu_x - big_lambda0; 

end
