function [A B H] = measurement_equation(use_latent, Ayields, Byields, ...
                                        errorSD)
% MEASUREMENT_EQUATION constructs the vector A and the matrix B for
% the measurement equation.

%
% Greg Duffee
% September 2006
%

numbonds = size(Byields,1); 

if (use_latent == 1)
  n = size(Byields,2)/2;
else
  n = size(Byields,2); 
end

bigErrorSD = [errorSD(1:n); repmat(errorSD(end), numbonds, 1)]; 

A = [zeros(n,1); Ayields]; 
if (use_latent == 1)
  B = [eye(n) zeros(n, n); Byields];
else
  B = [eye(n); Byields];
end

H = diag((bigErrorSD/100.0) .^2);  % remember that the inputs are in
                                   % percentage points 
return
