function [paramvec indexvec] = pack_allparams(use_latent, ...
                   fund_K_vals, fund_S_vals, ...
                   prem_K_vals, prem_S_vals, prem_c_vals, prem_macro_vals, ...
                   errorSD_vals, fund_K_flag, fund_S_flag, ...
                   prem_K_flag, prem_S_flag, prem_c_flag, prem_macro_flag, ...
                   errorSD_flag)
% PACK_ALLPARAMS is a routine that packs parameters of the model into
% a single vector.  It also packs the flags that indicate whether a parameter
% is free.

%
% Greg Duffee
% October 2005, revised Jan 2006
%

if (use_latent == 1) 
  paramvec = [fund_K_vals; fund_S_vals; prem_K_vals; ...
              prem_S_vals; prem_c_vals; prem_macro_vals; errorSD_vals]; 
  
  indexvec = [fund_K_flag; fund_S_flag; prem_K_flag; ...
              prem_S_flag; prem_c_flag; prem_macro_flag; errorSD_flag]; 
else
  paramvec = [fund_K_vals; fund_S_vals; prem_c_vals; ...
              prem_macro_vals; errorSD_vals]; 
  
  indexvec = [fund_K_flag; fund_S_flag; prem_c_flag; ...
              prem_macro_flag; errorSD_flag]; 
end

end

