% Greg Duffee
% November 2005, last revision September 2006
%
% 

clear
control_file = char('..\matlabFiles\control.dat'); 

printscreen = 1; % print some intermediate results to the screen
writetemp = 1;   % save results in temp files in case of crash 
mineigen_allowed = -1; % keep model away from region where mean
                       % term structure is explosively
                       % zig-zagging.  
restrict_unconmean = 1; % sets likelihood to bad value if
                        % unconditional shape of the term structure
                        % is highly implausible -- either in level
                        % or slope. 
kalman_tolerance = 1e-8; % used for fast Kalman recursion, when
                         % estimating with simplex.
display_simplex = 0; % display iterations in simplex?  1 = yes.
display_deriv = 0; %display iterations in deriv method? 1 = yes. 

%---------------------------------------------------------------
%
% Estimate model
%
%---------------------------------------------------------------

[numbonds all_estimates loglike score exitflag ...
 mean_hessian S_matrix T] = ...
    estimate_model(control_file, printscreen, ...
                   writetemp, mineigen_allowed, kalman_tolerance, ...
                   restrict_unconmean, display_simplex, display_deriv);

