function [simdata newseed state_matrix] = ...
    sim_data(c, T, R, A, B, chol_H, ...
             uncon_mean, chol_initial_var, sim_length, simseed)
%
% SIM_DATA returns the vectors and matrices necessary to simulate the
% term structure model.
%

%
% Greg Duffee
% November 2005
%

oldval = randn('state'); 
randn('state', simseed); 

dim_x = length(c); 
dim_obs = length(A); 

current_state = uncon_mean + chol_initial_var*randn([dim_x 1]); 
obs_shock = chol_H * randn([dim_obs 1]); 
simdata = transpose( A + B*current_state + obs_shock ); 
state_matrix = current_state'; 

for i = 2:sim_length
    x_shock = R*randn([dim_x 1]); 
    new_state = c + T*current_state + x_shock;
    current_state = new_state; 
    obs_shock = chol_H * randn([dim_obs 1]); 
    simdata = [simdata; transpose(A + B*current_state + obs_shock )]; 
    state_matrix = [state_matrix; current_state']; 
end

newseed = randn('state'); 
randn('state', oldval); 

return

