function [fund_K fund_S prem_K prem_S prem_c prem_macro errorSD] ...
         = unpack_allparams(n, use_latent, paramvec, numbonds)
%
% UNPACK_ALLPARAMS unpacks the parameter vector into individual vectors.
% Another routine further unpacks the individual vectors into matrices.
%

%
% Greg Duffee
% October 2005, revised Jan 2006
%

start_index = 1;
end_index = start_index + n^2 - 1; 
fund_K = paramvec(start_index:end_index); 
start_index = end_index + 1; 
end_index = start_index + (n*(n+1)/2) - 1; 
fund_S = paramvec(start_index:end_index); 
if (use_latent == 1) 
  start_index = end_index + 1; 
  end_index = start_index + n^2 - 1; 
  prem_K = paramvec(start_index:end_index); 
  start_index = end_index + 1; 
  end_index = start_index + (n*(n+1)/2) - 1; 
  prem_S = paramvec(start_index:end_index); 
else
  prem_K = [];
  prem_S = [];
end
start_index = end_index + 1; 
end_index = start_index + n - 1; 
prem_c = paramvec(start_index:end_index); 
start_index = end_index + 1; 
end_index = start_index + n^2 - 1; 
prem_macro = paramvec(start_index:end_index); 
start_index = end_index + 1; 
end_index = start_index + (1 + n) - 1; 
errorSD = paramvec(start_index:end_index); 

end
